<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>주소 검색</title>
    <%
        /**
         * @파일명 : AdresSearch.jsp
         * @파일정보 : 주소 검색 팝업화면
         * @수정이력
         * @수정자 수정일 수정내용
         * @------- ------------ ----------------
         * @박민규 2020.10.05. 최초생성
         * @---------------------------------------
         * @author (주)엑스아이티 개발팀
         * @since 2020. 2. 2.
         * @version 1.0 Copyright(c) XIT All rights reserved.
         */
    %>
    <%
        /**
         * Encoding Set
         *	-시스템의 인코딩 설정에 따라 주석 해제 후 사용
         */
        request.setCharacterEncoding("UTF-8");
        //request.setCharacterEncoding("EUC-KR");


        String inputYn       = request.getParameter("inputYn");
        String addrDetail    = request.getParameter("addrDetail");	  //사용자가 입력한 상세주소

        String roadFullAddr  = request.getParameter("roadFullAddr");  //전체 도로명 주소(도로명주소 + 사용자 입력주소 + 도로명주소 참고항목)
        String roadAddr 	 = request.getParameter("roadAddr");	  //전체 도로명 주소.			예시-> 서울특별시 마포구 성암로 301 (상암동)
        String roadAddrPart1 = request.getParameter("roadAddrPart1"); //도로명주소(참고항목 제외).		예시-> 서울특별시 마포구 성암로 301
        String roadAddrPart2 = request.getParameter("roadAddrPart2"); //도로명주소 참고항목.			예시-> (상암동)
        String jibunAddr     = request.getParameter("jibunAddr");     //지번주소.					예시-> 서울특별시 마포구 상암동 1595 한국지역정보개발원(KLID Tower)
        String engAddr       = request.getParameter("engAddr");       //영문주소.					예시-> 301, Seongam-ro, Mapo-gu, Seoul
        String zipNo         = request.getParameter("zipNo");         //우편번호.					예시-> 03923
        String admCd         = request.getParameter("admCd");         //행정구역코드.				예시-> 1144012700
        String rnMgtSn       = request.getParameter("rnMgtSn");       //도로명코드.				예시-> 14403113012
        String bdMgtSn       = request.getParameter("bdMgtSn");       //건물관리번호.				예시-> 1144012700115950000000001
        String detBdNmList   = request.getParameter("detBdNmList");   //상세건물명.				예시->
        String bdNm          = request.getParameter("bdNm");          //건물명.					예시-> 한국지역정보개발원(KLID Tower)
        String bdKdcd        = request.getParameter("bdKdcd");        //공동주택여부.				예시-> 0
        String siNm          = request.getParameter("siNm");          //시도명.					예시-> 서울특별시
        String sggNm         = request.getParameter("sggNm");         //시군구명.					예시-> 마포구
        String emdNm         = request.getParameter("emdNm");         //읍면동명.          		예시-> 상암동
        String liNm          = request.getParameter("liNm");          //법정리명.					예시->
        String rn            = request.getParameter("rn");            //도로명.					예시->
        String udrtYn        = request.getParameter("udrtYn");        //지하여부(0:지상,1:지하).		예시-> 0
        String buldMnnm      = request.getParameter("buldMnnm");      //건물본번.					예시-> 301
        String buldSlno      = request.getParameter("buldSlno");      //건물부번(부번이 없는 경우 0).	예시-> 0
        String mtYn          = request.getParameter("mtYn");          //산여부(0:대지,1:산).		예시-> 0
        String lnbrMnnm      = request.getParameter("lnbrMnnm");      //지번본번(번지).				예시-> 1595
        String lnbrSlno      = request.getParameter("lnbrSlno");      //지번부번(호)(부번이 없는 경우 0).예시-> 0
        String emdNo         = request.getParameter("emdNo");         //읍변동일련번호.				예시-> 03

    %>
</head>
<script language="javascript">
    function init(){
        var url = location.href;
        var confmKey = "	U01TX0FVVEgyMDE3MDQyMTE3MTQ1MjIwNzQ4";
        var inputYn= "<%= inputYn%>";
        if(inputYn != "Y"){
            document.form.confmKey.value = confmKey;
            document.form.returnUrl.value = url;
            document.form.action="http://www.juso.go.kr/addrlink/addrLinkUrl.do"; //인터넷망
            document.form.submit();
        }else{
            var obj = new Object();


            obj.inputYn       = "<%= inputYn       %>";
            obj.addrDetail    = "<%= addrDetail    %>";

            obj.roadFullAddr  = "<%= roadFullAddr  %>";
            obj.roadAddr 	  = "<%= roadAddr 	   %>";
            obj.roadAddrPart1 = "<%= roadAddrPart1 %>";
            obj.roadAddrPart2 = "<%= roadAddrPart2 %>";
            obj.jibunAddr 	  = "<%= jibunAddr     %>";
            obj.engAddr       = "<%= engAddr       %>";
            obj.zipNo         = "<%= zipNo         %>";
            obj.admCd         = "<%= admCd         %>";
            obj.rnMgtSn       = "<%= rnMgtSn       %>";
            obj.bdMgtSn       = "<%= bdMgtSn       %>";
            obj.detBdNmList   = "<%= detBdNmList   %>";
            obj.bdNm          = "<%= bdNm          %>";
            obj.bdKdcd        = "<%= bdKdcd        %>";
            obj.siNm          = "<%= siNm          %>";
            obj.sggNm         = "<%= sggNm         %>";
            obj.emdNm         = "<%= emdNm         %>";
            obj.liNm          = "<%= liNm          %>";
            obj.rn            = "<%= rn            %>";
            obj.udrtYn        = "<%= udrtYn        %>";
            obj.buldMnnm      = "<%= buldMnnm      %>";
            obj.buldSlno      = "<%= buldSlno      %>";
            obj.mtYn          = "<%= mtYn          %>";
            obj.lnbrMnnm      = "<%= lnbrMnnm      %>";
            obj.lnbrSlno      = "<%= lnbrSlno      %>";
            obj.emdNo         = "<%= emdNo         %>";


            var callback = '${param.callback}';
            if(callback==''||callback==null||callback==undefined)
                opener.jusoCallBack(obj);
            else{
                callback = 'opener.'+callback+'(obj)';
                eval(callback);
            }


            window.close();
        }
    }
</script>
<body onload="init();">
<form id="form" name="form" method="post">
    <input type="hidden" id="confmKey" name="confmKey" value="	U01TX0FVVEgyMDE3MDQyMTE3MTQ1MjIwNzQ4" />
    <input type="hidden" id="returnUrl" name="returnUrl" value="" />
    <!-- 해당시스템의 인코딩타입이 EUC-KR일경우에만 추가 START-->
    <!--
    <input type="hidden" id="encodingType" name="encodingType" value="EUC-KR"/>
     -->
    <!-- 해당시스템의 인코딩타입이 EUC-KR일경우에만 추가 END-->
</form>
</body>
</html>